unit#shadow {
    width: 100%;
    height: 100%;
    background: rgb( var( --r1 ), 0.5 );
    pointer-events: none;
    opacity: 0;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
}
unit#shadow.action {
    opacity: 1;
}
unit#checkBig {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
}
unit#checkBig i.close {
    display: block;
    width: 34px;
    height: 34px;
    background: rgb( var( --r5 ) );
    text-align: center;
    line-height: 34px;
    font-size: 24px;
    font-weight: bold;
    border-radius: 90px;
    cursor: pointer;
    position: absolute;
    right: 10px;
    top: 10px;
    z-index: 10;
}
unit#checkBig img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
unit#checkBig.action {
    display: flex;
}
unit#popup {
    --width: 420px;
    width: 100%;
    height: 100%;
    opacity: 0;
    position: fixed;
    top: -100vh;
    left: 0;
    z-index: 10;
}
unit#popup.action {
    opacity: 1;
    top: 0;
}
unit#popup div.popupBody {
    width: calc( var( --width ) );
    background: rgb( var( --r5 ), 0.9 );
    border-radius: 10px;
}
unit#popup div.popupBody div.popupHeader {
    height: 50px;
    padding: 0px 20px;
    background: rgb( var( --r3 ) );
    font-size: 18px;
    font-weight: bold;
    line-height: 50px;
}
unit#popup div.popupBody div.popupHeader i {
    margin-right: 5px;
    font-size: 18px;
    font-weight: bold;
    line-height: 50px;
}
unit#popup div.popupBody div.popupContent {
    min-height: 80px;
    padding: 20px;
}
unit#popup div.popupBody div.button {
    padding: 20px;
}
unit#popup div.popupBody div.button.show1 button {
    display: none;
}
unit#popup div.popupBody div.button a.button {
    float: right;
}
unit#popup div.popupBody div.button button::before, unit#popup div.popupBody div.button a.button::before {
    margin-right: 8px;
}
unit#newMessage {
    width: 280px;
    padding: 15px;
    background: rgb( var( --r5 ) );
    border-radius: 15px;
    pointer-events: none;
    cursor: pointer;
    overflow: visible;
    position: fixed;
    bottom: 10px;
    left: -300px;
    z-index: 10;
}
unit#newMessage.action {
    pointer-events: all;
    left: 10px;
}
unit#newMessage.newMessagePush {
    animation: newMessagePush 0.24s forwards ease-in-out;
} @keyframes newMessagePush {
    0%{ left: -300px; }
    80%{ left: 30px; }
    100%{ left: 10px; }
}
unit#newMessage i {
    display: block;
    width: 26px;
    height: 26px;
    background: rgb( var(--r3) );
    text-align: center;
    line-height: 26px;
    border-radius: 90px;
    position: absolute;
    right: 5px;
    top: 5px;
}
unit#newMessage img {
    float: left;
    width: 40px;
    height: 40px;
    margin-right: 8px;
    color: rgb( var( --r1 ) );
    vertical-align: middle;
    border-radius: 90px;
}
unit#newMessage p {
    margin: 0;
}
unit#newMessage p.nickname {
    width: calc( 100% - 70px );
}
unit#newMessage p.text {
    font-size: 12px;
    color: rgb( var( --r1 ), 0.5 );
}
@media ( max-width: 500px ) {
    unit#popup {
        --width: 90%;
    }
}
unit#mask {
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 0;
}
div#body {
    width: 100%;
    height: 100%;
    background: rgb( var( --r0 ), 0.25 );
    overflow: hidden;
    position: fixed;
    z-index: 0;
}
div#body main {
    width: 1000px;
    height: 660px;
    padding: 25px;
    background-color: rgb( var( --r5 ), 0.3 );
    border-radius: 20px;
    -webkit-backdrop-filter: blur( 30px );
    backdrop-filter: blur( 30px );
    overflow: visible;
    animation: fadeOut 2s;
    position: relative;
}
@keyframes fadeOut {
    0%{ opacity: 0; }
    30%{ opacity: 0.1; }
    100%{ opacity: 1; }
}
div#body main img#decorate {
    height: 180px;
    pointer-events: none;
    position: absolute;
    z-index: 2;
}
div#body main div#user {
    font-size: 12px;
    position: absolute;
    top: -23px;
    right: 20px;
}
div#body main div#user i {
    color: rgb( var( --r1 ), 0.75 );
    font-size: 14px;
    vertical-align: middle;
}
div#body main div#user a {
    color: rgb( var( --r1 ), 0.75 );
    font-size: 12px;
}
div#body main div#user a:hover {
    color: rgb( var( --r1 ) );
}
header {
    padding-bottom: 8px;
    margin-bottom: 20px;
    border-bottom: 1px dashed rgb( var( --r1 ), 0.2 );
}
header a.logo img {
    height: 20px;
    margin: 4px 0px;
    opacity: 0.75;
}
header ul#menu {
    float: right;
    white-space: nowrap;
    overflow-x: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
}
header ul#menu::-webkit-scrollbar {
    display: none;
}
header ul#menu * {
    font-size: 14px;
    color: rgb( var( --r1 ) );
}
header ul#menu a li {
    float: left;
    padding: 4px 14px;
    margin: 0px 3px;
    border-radius: 5px;
}
header ul#menu a li:hover, header ul#menu a li.action {
    background: rgb( var( --r3 ) );
}
header ul#menu a li data {
    display: none;
    margin-left: 4px;
    color: rgb( var(--r4) );
}
header ul#menu a li:not( .action ) data.action {
    display: inline;
    margin-left: 4px;
}
div#body main div.content {
    width: 100%;
    height: calc( 100% - 60px );
    padding: 0px 10px;
}
a#pictureBy {
    font-size: 12px;
    color: rgb( var( --r1 ), 0.25 );
    position: fixed;
    bottom: 8px;
    right: 8px;
}
a#pictureBy:hover {
    color: rgb( var( --r1 ) );
}
.card {
    margin-bottom: 30px;
    background-color: rgb( var( --r5 ), 0.3 );
    border-radius: 10px;
}
ul.blogList {
    display: grid;
    grid-template-columns: repeat( auto-fill, minmax( 280px, 1fr ) );
    grid-gap: 8px;
}
ul.blogList li {
    padding: 18px;
    padding-bottom: 48px;
    background-color: rgb( var( --r5 ), 0.3 );
    border-radius: 10px;
    position: relative;
}
ul.blogList li.noFooter {
    padding: 18px;
}
ul.blogList li::before {
    font-size: 48px;
    font-weight: bold;
    color: rgb( var(--r1) );
    opacity: 0.1;
    position: absolute;
    top: -20px;
    right: -14px;
}
ul.blogList li * {
    color: rgb( var( --r1 ) );
}
ul.blogList li div.header {
    padding-bottom: 4px;
    margin-bottom: 8px;
    border-bottom: 1px solid rgb( var( --r1 ), 0.1 );
}
ul.blogList li div.header h5 {
    margin-bottom: -5px;
}
ul.blogList li div.header span {
    font-size: 12px;
    color: rgb( var( --r1 ), 0.5 );
}
ul.blogList li div.body {
    padding: 0px 8px;
    font-size: 14px;
    color: rgb( var( --r1 ), 0.75 );
}
ul.blogList li div.footer {
    display: grid;
    width: 100%;
    grid-template-columns: repeat( auto-fill, minmax( 50%, 1fr ) );
    grid-gap: 0;
    border-top: 1px solid rgb( var( --r1 ), 0.1 );
    position: absolute;
    left: 0;
    bottom: 0;
}
ul.blogList li div.footer * {
    font-size: 14px;
}
ul.blogList li div.footer a {
    display: block;
    height: 36px;
    text-align: center;
    line-height: 36px;
}
ul.blogList li div.footer a:last-of-type {
    border-left: 1px solid rgb( var( --r1 ), 0.1 );
}
ul.blogList li div.footer a i {
    font-size: 16px;
}
ul.blogList li div.footer a.already::before {
    font-weight: bold;
}
div#page {
    display: none;
    margin-top: 40px;
    text-align: center;
}
div#page.action {
    display: block;
}
div#page button {
    padding: 0px 12px;
    line-height: 26px;
    font-size: 14px;
}
div#page button.stop {
    opacity: 0.5;
    pointer-events: none;
}
div#page input {
    width: 50px;
    height: 26px;
    padding: 0px 5px;
    background: rgb( var( --r5 ), 0.3 );
    vertical-align: middle;
    border-radius: 5px;
    border: none;
}
@media ( max-width: 1050px ) {
    div#body main { width: calc( 100% - 50px ); }
}
@media ( max-height: 700px ) {
    .fullShow { display: none; }
    div#body main { height: calc( 100% - 50px ); }
}
@media ( max-width: 700px ) {
    .fullShow { display: none; }
    div#body {
        display: block;
        overflow-y: scroll;
    }
    div#body main {
        width: calc( 100% - 20px );
        height: auto;
        min-height: 100%;
        padding: 15px;
        padding-bottom: 80px;
        margin: 80px 10px;
        margin-bottom: 0;
        border-radius: 20px 20px 0px 0px;
    }
    header a.logo:not( div#phoneLogo a.logo ) {
        display: none;
    }
    div#phoneLogo {
        display: block !important;
        width: 100%;
        padding: 6px 10px;
        padding-bottom: 3px;
        background: rgb( var( --r0 ) );
        box-shadow: 0px 0px 5px rgb( var( --r1 ), 0.25 );
        overflow: visible;
        position: fixed;
        bottom: 0;
        left: 0;
        z-index: 10;
    }
    div#phoneLogo a.logo img {
        height: 14px;
        opacity: 0.5;
    }
    div#phoneLogo span {
        float: right;
        font-size: 12px;
        line-height: 20px;
        opacity: 0.75;
    }
    header ul#menu {
        float: none;
    }
    div#body main div.content {
        height: auto;
        overflow: visible;
    }
}